/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.$("Text2").hide();
         sym.$("Text2").html("En el caso del agua, la podemos observar como:<br>Un líquido: agua<br>Un sólido: hielo<br>Un gas: vapor de agua<br><br>Observa qué ocurre con un trozo de hielo cuando lo calientas.");
         sym.$("Text2").fadeIn("slow");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3300, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'sim_table'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_S_G02_U02_L02_03_01_btn}", "click", function(sym, e) {
         sym.getSymbol("sim_lab").play();
         sym.$("S_G02_U02_L02_03_01_btn").hide();
         sym.$("S_G02_U02_L02_03_01_btnCopy").show();
         
         sym.getComposition().getStage().getSymbol("doctor").play(5000);
         sym.getComposition().getStage().play();
         sym.getComposition().getStage().getSymbol("termomether").play();
         
         sym.getSymbol("sim_lab").getSymbol("lighter").stop("up");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G02_U02_L02_03_01_btnCopy}", "click", function(sym, e) {
         sym.getSymbol("sim_lab").play(5000);
         
         sym.getComposition().getStage().play();
         sym.getSymbol("sim_lab").getSymbol("lighter").stop("up");
         sym.getComposition().getStage().getSymbol("termomether").play(5000);
         
         

      });
      //Edge binding end

   })("sim_table");
   //Edge symbol end:'sim_table'

   //=========================================================
   
   //Edge symbol: 'sim_lab'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4500, function(sym, e) {
         sym.stop();
         sym.getSymbol("lighter").stop(0);
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 750, function(sym, e) {
         sym.$("Text").html("1");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         sym.$("Text").html("3");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         sym.$("Text").html("5");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3250, function(sym, e) {
         sym.$("Text").html("7");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4009, function(sym, e) {
         sym.$("Text").html("10");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.getSymbol("bubles").play();

      });
      //Edge binding end

   })("sim_lab");
   //Edge symbol end:'sim_lab'

   //=========================================================
   
   //Edge symbol: 'lighter'
   (function(symbolName) {   
   
   })("lighter");
   //Edge symbol end:'lighter'

   //=========================================================
   
   //Edge symbol: 'bubles'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 300, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("bubles");
   //Edge symbol end:'bubles'

   //=========================================================
   
   //Edge symbol: 'termomether'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4500, function(sym, e) {
         
         sym.stop();

      });
      //Edge binding end

   })("termomether");
   //Edge symbol end:'termomether'

   //=========================================================
   
   //Edge symbol: 'doctor'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8300, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("doctor");
   //Edge symbol end:'doctor'

   //=========================================================
   
   //Edge symbol: 'head'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("head");
   //Edge symbol end:'head'

   //=========================================================
   
   //Edge symbol: 'vapor'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("vapor");
   //Edge symbol end:'vapor'

})(jQuery, AdobeEdge, "EDGE-5531445");